<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\EggPrice;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class EggPricePolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:EggPrice');
    }

    public function view(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('View:EggPrice');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:EggPrice');
    }

    public function update(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('Update:EggPrice');
    }

    public function delete(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('Delete:EggPrice');
    }

    public function restore(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('Restore:EggPrice');
    }

    public function forceDelete(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('ForceDelete:EggPrice');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:EggPrice');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:EggPrice');
    }

    public function replicate(AuthUser $authUser, EggPrice $eggPrice): bool
    {
        return $authUser->can('Replicate:EggPrice');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:EggPrice');
    }
}
